﻿using System;
using System.Linq;
using System.Windows.Input;

namespace WpfApplication1
{
    public class MyCommand : ICommand
    {
        private readonly Action<object> actionToExecute;

        public MyCommand(Action<object> action)
        {
            this.actionToExecute = action;
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            this.actionToExecute(parameter);
        }
    }
}
